---
title: 411 Length Required
slug: Web/HTTP/Status/411
tags:
  - Client error
  - HTTP
  - HTTP Status Code
  - Reference
  - Status code
---
<div>{{HTTPSidebar}}</div>

<p>The HyperText Transfer Protocol (HTTP) <code><strong>411 Length Required</strong></code> client error response code indicates that the server refuses to accept the request without a defined {{HTTPHeader("Content-Length")}} header.</p>

<div class="note">
<p><strong>Note: </strong>by specification, when sending data in a series of chunks, the <code>Content-Length</code> header is omitted and at the beginning of each chunk you need to add the length of the current chunk in hexadecimal format. See {{HTTPHeader("Transfer-Encoding")}} for more details.</p>
</div>

<h2 id="Status">Status</h2>

<pre class="syntaxbox">411 Length Required</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("7231", "411 Length Required" , "6.5.10")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Content-Length")}}</li>
 <li>{{HTTPHeader("Transfer-Encoding")}}</li>
</ul>
